org.apache.felix.scrplugin.ds

## Class DSAnnotationProcessor

- java.lang.Object
- - org.apache.felix.scrplugin.ds.DSAnnotationProcessor

All Implemented Interfaces:
  org.apache.felix.scrplugin.annotations.AnnotationProcessor

    public class DSAnnotationProcessor
    extends Object
    implements org.apache.felix.scrplugin.annotations.AnnotationProcessor

This is the processor for the DS annotations.

### Constructor Summary

Constructors
Constructor and Description
`DSAnnotationProcessor()`

### Method Summary

Methods
`String` `getName()`
`int` `getRanking()`
`void` `process(org.apache.felix.scrplugin.annotations.ScannedClass scannedClass, org.apache.felix.scrplugin.description.ClassDescription describedClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSAnnotationProcessor

    public DSAnnotationProcessor()

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.apache.felix.scrplugin.annotations.AnnotationProcessor`
See Also:
  `AnnotationProcessor.getName()`

#### process

    public void process(org.apache.felix.scrplugin.annotations.ScannedClass scannedClass,
               org.apache.felix.scrplugin.description.ClassDescription describedClass)
                 throws org.apache.felix.scrplugin.SCRDescriptorFailureException,
                        org.apache.felix.scrplugin.SCRDescriptorException

Specified by:
  `process` in interface `org.apache.felix.scrplugin.annotations.AnnotationProcessor`
Throws:
  `org.apache.felix.scrplugin.SCRDescriptorFailureException`
  `org.apache.felix.scrplugin.SCRDescriptorException`
See Also:
  `AnnotationProcessor.process(org.apache.felix.scrplugin.annotations.ScannedClass, org.apache.felix.scrplugin.description.ClassDescription)`

#### getRanking

    public int getRanking()

Specified by:
  `getRanking` in interface `org.apache.felix.scrplugin.annotations.AnnotationProcessor`
See Also:
  `AnnotationProcessor.getRanking()`